Page 1 of 1

Building SoapySDR

Posted: Sun Apr 14, 2019 9:48 am
by hfaero
I have Ubuntu 18.04 on a 64bit platform (Dell Laptop) and am having a devilish of a time getting it to find my RSP2. I've followed the instructions from SDRPlay.com as far as non-Windows workflow goes but each time I build using

Code: Select all

cmake ..{/code] I get this:
 [code]
-- Build type not specified: defaulting to release.
--
-- #############################################
-- ## Begin configuration for Python support...
-- #############################################
-- Enabling optional Python bindings if possible...
-- SWIG_FOUND: TRUE - 3.0.12
-- PYTHONINTERP_FOUND: TRUE - 2.7.15
-- PYTHON_EXECUTABLE: /usr/bin/python
-- PYTHON_INSTALL_DIR: ${prefix}/lib/python2.7/dist-packages
-- PYTHONLIBS_FOUND: TRUE - 2.7.15
-- PYTHON_INCLUDE_DIRS: /usr/include/python2.7;/usr/include/x86_64-linux-gnu/python2.7
-- PYTHON_LIBRARIES: -L/usr/lib/python2.7/config-x86_64-linux-gnu -L/usr/lib -lpython2.7 -lpthread -ldl  -lutil -lm  -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
-- CMAKE_SWIG_FLAGS=-c++;-threads;-I/home/michael/SoapySDR/include
--
-- #############################################
-- ## Begin configuration for Python3 support...
-- #############################################
-- Enabling optional Python3 bindings if possible...
-- SWIG_FOUND: TRUE - 3.0.12
-- Could NOT find Python3InterpDbg (missing: PYTHON3_DBG_EXECUTABLE)
-- PYTHON3INTERP_FOUND: TRUE
-- PYTHON3_EXECUTABLE: /usr/bin/python3
-- PYTHON3_INSTALL_DIR: ${prefix}/lib/python3.6/dist-packages
-- PYTHON3LIBS_FOUND: TRUE
-- PYTHON3_INCLUDE_DIRS: /usr/include/python3.6m;/usr/include/python3.6m
-- PYTHON3_LIBRARIES: -L/usr/lib/python3.6/config-3.6m-x86_64-linux-gnu -L/usr/lib -lpython3.6m -lpthread -ldl  -lutil -lm  -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
-- CMAKE_SWIG_FLAGS=-c++;-threads;-I/home/michael/SoapySDR/include
--
-- ######################################################
-- ## SoapySDR enabled features
-- ######################################################
--
 * Library, runtime library v0.8.0-g9a942698
 * Apps, command line applications
 * Tests, library unit tests
 * Docs, doxygen documentation
 * Python, python bindings v2.7.15
 * Python3, python3 bindings

-- ######################################################
-- ## SoapySDR disabled features
-- ######################################################
--

-- SoapySDR version: v0.8.0-g9a942698
-- ABI/so version: v0.8
-- Install prefix: /usr/local
-- Configuring done
-- Generating done
-- Build files have been written to: /home/michael/SoapySDR/build

Running SDRUtils --info or -probe no modules or factories are found. I don't know if the error in the above code about Pytho3InterpDbg is a red herring or significant but regardless I am totally stuck!

I've created a ticket with Support but thought I'd throw it out to the community in case anyone has come across this issue.

As a side note I can happily run gqrx with my RSP2 using the gqrx Ubuntu package, again not sure if this is an isssue but I doubt it as the gqrx application only has a gnuradio install dependency which has obviously been met for that to work.

Thanks for any help.

Re: Building SoapySDR

Posted: Tue Apr 16, 2019 2:19 am
by hfaero
** CAUTION - Dummy at Play Here **

I totally forgot to properly read the instructions and didn't install SoapySDRPlay!!

What a numpty!

All good now.